SDL_scalbn(3)

NAME
SDL_scalbn - Scale x by an integer power of two.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

double SDL_scalbn(double x, int n);

DESCRIPTION
Multiplies x by the nth power of the floating point radix (always 2).

Domain: -INF <= x <= INF,

n integer

Range: -INF <= y <= INF

This function operates on double-precision floating point values, use SDL_scalbnf for single-precision floats.

FUNCTION PARAMETERS

x   floating point value to be scaled.

n   integer exponent.

RETURN VALUE
Returns x * 2^n.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_scalbnf(3), SDL_pow(3)